// Generated by the protocol buffer compiler.  DO NOT EDIT!
// source: VehicleParametersOverIntervalsResponse.proto

package ru.omnicomm.pegasus.messaging.data.responses;

public final class VehicleParametersOverIntervalsResponseParser {
  private VehicleParametersOverIntervalsResponseParser() {}
  public static void registerAllExtensions(
      com.google.protobuf.ExtensionRegistry registry) {
  }
  public static final class VehicleParametersOverIntervalsResponse extends
      com.google.protobuf.GeneratedMessage {
    // Use VehicleParametersOverIntervalsResponse.newBuilder() to construct.
    private VehicleParametersOverIntervalsResponse() {
      initFields();
    }
    private VehicleParametersOverIntervalsResponse(boolean noInit) {}
    
    private static final VehicleParametersOverIntervalsResponse defaultInstance;
    public static VehicleParametersOverIntervalsResponse getDefaultInstance() {
      return defaultInstance;
    }
    
    public VehicleParametersOverIntervalsResponse getDefaultInstanceForType() {
      return defaultInstance;
    }
    
    public static final com.google.protobuf.Descriptors.Descriptor
        getDescriptor() {
      return ru.omnicomm.pegasus.messaging.data.responses.VehicleParametersOverIntervalsResponseParser.internal_static_ru_omnicomm_pegasus_messaging_data_responses_VehicleParametersOverIntervalsResponse_descriptor;
    }
    
    protected com.google.protobuf.GeneratedMessage.FieldAccessorTable
        internalGetFieldAccessorTable() {
      return ru.omnicomm.pegasus.messaging.data.responses.VehicleParametersOverIntervalsResponseParser.internal_static_ru_omnicomm_pegasus_messaging_data_responses_VehicleParametersOverIntervalsResponse_fieldAccessorTable;
    }
    
    public enum State
        implements com.google.protobuf.ProtocolMessageEnum {
      NORMAL(0, 0),
      LAST(1, 1),
      DEFECTIVE(2, 2),
      ;
      
      
      public final int getNumber() { return value; }
      
      public static State valueOf(int value) {
        switch (value) {
          case 0: return NORMAL;
          case 1: return LAST;
          case 2: return DEFECTIVE;
          default: return null;
        }
      }
      
      public static com.google.protobuf.Internal.EnumLiteMap<State>
          internalGetValueMap() {
        return internalValueMap;
      }
      private static com.google.protobuf.Internal.EnumLiteMap<State>
          internalValueMap =
            new com.google.protobuf.Internal.EnumLiteMap<State>() {
              public State findValueByNumber(int number) {
                return State.valueOf(number)
      ;        }
            };
      
      public final com.google.protobuf.Descriptors.EnumValueDescriptor
          getValueDescriptor() {
        return getDescriptor().getValues().get(index);
      }
      public final com.google.protobuf.Descriptors.EnumDescriptor
          getDescriptorForType() {
        return getDescriptor();
      }
      public static final com.google.protobuf.Descriptors.EnumDescriptor
          getDescriptor() {
        return ru.omnicomm.pegasus.messaging.data.responses.VehicleParametersOverIntervalsResponseParser.VehicleParametersOverIntervalsResponse.getDescriptor().getEnumTypes().get(0);
      }
      
      private static final State[] VALUES = {
        NORMAL, LAST, DEFECTIVE, 
      };
      public static State valueOf(
          com.google.protobuf.Descriptors.EnumValueDescriptor desc) {
        if (desc.getType() != getDescriptor()) {
          throw new java.lang.IllegalArgumentException(
            "EnumValueDescriptor is not for this type.");
        }
        return VALUES[desc.getIndex()];
      }
      private final int index;
      private final int value;
      private State(int index, int value) {
        this.index = index;
        this.value = value;
      }
      
      static {
        ru.omnicomm.pegasus.messaging.data.responses.VehicleParametersOverIntervalsResponseParser.getDescriptor();
      }
      
      // @@protoc_insertion_point(enum_scope:ru.omnicomm.pegasus.messaging.data.responses.VehicleParametersOverIntervalsResponse.State)
    }
    
    public static final class Row extends
        com.google.protobuf.GeneratedMessage {
      // Use Row.newBuilder() to construct.
      private Row() {
        initFields();
      }
      private Row(boolean noInit) {}
      
      private static final Row defaultInstance;
      public static Row getDefaultInstance() {
        return defaultInstance;
      }
      
      public Row getDefaultInstanceForType() {
        return defaultInstance;
      }
      
      public static final com.google.protobuf.Descriptors.Descriptor
          getDescriptor() {
        return ru.omnicomm.pegasus.messaging.data.responses.VehicleParametersOverIntervalsResponseParser.internal_static_ru_omnicomm_pegasus_messaging_data_responses_VehicleParametersOverIntervalsResponse_Row_descriptor;
      }
      
      protected com.google.protobuf.GeneratedMessage.FieldAccessorTable
          internalGetFieldAccessorTable() {
        return ru.omnicomm.pegasus.messaging.data.responses.VehicleParametersOverIntervalsResponseParser.internal_static_ru_omnicomm_pegasus_messaging_data_responses_VehicleParametersOverIntervalsResponse_Row_fieldAccessorTable;
      }
      
      // required string intervalType = 102;
      public static final int INTERVALTYPE_FIELD_NUMBER = 102;
      private boolean hasIntervalType;
      private java.lang.String intervalType_ = "";
      public boolean hasIntervalType() { return hasIntervalType; }
      public java.lang.String getIntervalType() { return intervalType_; }
      
      // required double intervalStart = 103;
      public static final int INTERVALSTART_FIELD_NUMBER = 103;
      private boolean hasIntervalStart;
      private double intervalStart_ = 0D;
      public boolean hasIntervalStart() { return hasIntervalStart; }
      public double getIntervalStart() { return intervalStart_; }
      
      // required double intervalFinish = 104;
      public static final int INTERVALFINISH_FIELD_NUMBER = 104;
      private boolean hasIntervalFinish;
      private double intervalFinish_ = 0D;
      public boolean hasIntervalFinish() { return hasIntervalFinish; }
      public double getIntervalFinish() { return intervalFinish_; }
      
      // required double intervalDuration = 105;
      public static final int INTERVALDURATION_FIELD_NUMBER = 105;
      private boolean hasIntervalDuration;
      private double intervalDuration_ = 0D;
      public boolean hasIntervalDuration() { return hasIntervalDuration; }
      public double getIntervalDuration() { return intervalDuration_; }
      
      // required double mileage = 106;
      public static final int MILEAGE_FIELD_NUMBER = 106;
      private boolean hasMileage;
      private double mileage_ = 0D;
      public boolean hasMileage() { return hasMileage; }
      public double getMileage() { return mileage_; }
      
      // required double averageVelocity = 107;
      public static final int AVERAGEVELOCITY_FIELD_NUMBER = 107;
      private boolean hasAverageVelocity;
      private double averageVelocity_ = 0D;
      public boolean hasAverageVelocity() { return hasAverageVelocity; }
      public double getAverageVelocity() { return averageVelocity_; }
      
      // required double maxVelocity = 108;
      public static final int MAXVELOCITY_FIELD_NUMBER = 108;
      private boolean hasMaxVelocity;
      private double maxVelocity_ = 0D;
      public boolean hasMaxVelocity() { return hasMaxVelocity; }
      public double getMaxVelocity() { return maxVelocity_; }
      
      // required string startPointCoordinates = 109;
      public static final int STARTPOINTCOORDINATES_FIELD_NUMBER = 109;
      private boolean hasStartPointCoordinates;
      private java.lang.String startPointCoordinates_ = "";
      public boolean hasStartPointCoordinates() { return hasStartPointCoordinates; }
      public java.lang.String getStartPointCoordinates() { return startPointCoordinates_; }
      
      // required string finishPointCoordinates = 110;
      public static final int FINISHPOINTCOORDINATES_FIELD_NUMBER = 110;
      private boolean hasFinishPointCoordinates;
      private java.lang.String finishPointCoordinates_ = "";
      public boolean hasFinishPointCoordinates() { return hasFinishPointCoordinates; }
      public java.lang.String getFinishPointCoordinates() { return finishPointCoordinates_; }
      
      private void initFields() {
      }
      public final boolean isInitialized() {
        if (!hasIntervalType) return false;
        if (!hasIntervalStart) return false;
        if (!hasIntervalFinish) return false;
        if (!hasIntervalDuration) return false;
        if (!hasMileage) return false;
        if (!hasAverageVelocity) return false;
        if (!hasMaxVelocity) return false;
        if (!hasStartPointCoordinates) return false;
        if (!hasFinishPointCoordinates) return false;
        return true;
      }
      
      public void writeTo(com.google.protobuf.CodedOutputStream output)
                          throws java.io.IOException {
        getSerializedSize();
        if (hasIntervalType()) {
          output.writeString(102, getIntervalType());
        }
        if (hasIntervalStart()) {
          output.writeDouble(103, getIntervalStart());
        }
        if (hasIntervalFinish()) {
          output.writeDouble(104, getIntervalFinish());
        }
        if (hasIntervalDuration()) {
          output.writeDouble(105, getIntervalDuration());
        }
        if (hasMileage()) {
          output.writeDouble(106, getMileage());
        }
        if (hasAverageVelocity()) {
          output.writeDouble(107, getAverageVelocity());
        }
        if (hasMaxVelocity()) {
          output.writeDouble(108, getMaxVelocity());
        }
        if (hasStartPointCoordinates()) {
          output.writeString(109, getStartPointCoordinates());
        }
        if (hasFinishPointCoordinates()) {
          output.writeString(110, getFinishPointCoordinates());
        }
        getUnknownFields().writeTo(output);
      }
      
      private int memoizedSerializedSize = -1;
      public int getSerializedSize() {
        int size = memoizedSerializedSize;
        if (size != -1) return size;
      
        size = 0;
        if (hasIntervalType()) {
          size += com.google.protobuf.CodedOutputStream
            .computeStringSize(102, getIntervalType());
        }
        if (hasIntervalStart()) {
          size += com.google.protobuf.CodedOutputStream
            .computeDoubleSize(103, getIntervalStart());
        }
        if (hasIntervalFinish()) {
          size += com.google.protobuf.CodedOutputStream
            .computeDoubleSize(104, getIntervalFinish());
        }
        if (hasIntervalDuration()) {
          size += com.google.protobuf.CodedOutputStream
            .computeDoubleSize(105, getIntervalDuration());
        }
        if (hasMileage()) {
          size += com.google.protobuf.CodedOutputStream
            .computeDoubleSize(106, getMileage());
        }
        if (hasAverageVelocity()) {
          size += com.google.protobuf.CodedOutputStream
            .computeDoubleSize(107, getAverageVelocity());
        }
        if (hasMaxVelocity()) {
          size += com.google.protobuf.CodedOutputStream
            .computeDoubleSize(108, getMaxVelocity());
        }
        if (hasStartPointCoordinates()) {
          size += com.google.protobuf.CodedOutputStream
            .computeStringSize(109, getStartPointCoordinates());
        }
        if (hasFinishPointCoordinates()) {
          size += com.google.protobuf.CodedOutputStream
            .computeStringSize(110, getFinishPointCoordinates());
        }
        size += getUnknownFields().getSerializedSize();
        memoizedSerializedSize = size;
        return size;
      }
      
      public static ru.omnicomm.pegasus.messaging.data.responses.VehicleParametersOverIntervalsResponseParser.VehicleParametersOverIntervalsResponse.Row parseFrom(
          com.google.protobuf.ByteString data)
          throws com.google.protobuf.InvalidProtocolBufferException {
        return newBuilder().mergeFrom(data).buildParsed();
      }
      public static ru.omnicomm.pegasus.messaging.data.responses.VehicleParametersOverIntervalsResponseParser.VehicleParametersOverIntervalsResponse.Row parseFrom(
          com.google.protobuf.ByteString data,
          com.google.protobuf.ExtensionRegistryLite extensionRegistry)
          throws com.google.protobuf.InvalidProtocolBufferException {
        return newBuilder().mergeFrom(data, extensionRegistry)
                 .buildParsed();
      }
      public static ru.omnicomm.pegasus.messaging.data.responses.VehicleParametersOverIntervalsResponseParser.VehicleParametersOverIntervalsResponse.Row parseFrom(byte[] data)
          throws com.google.protobuf.InvalidProtocolBufferException {
        return newBuilder().mergeFrom(data).buildParsed();
      }
      public static ru.omnicomm.pegasus.messaging.data.responses.VehicleParametersOverIntervalsResponseParser.VehicleParametersOverIntervalsResponse.Row parseFrom(
          byte[] data,
          com.google.protobuf.ExtensionRegistryLite extensionRegistry)
          throws com.google.protobuf.InvalidProtocolBufferException {
        return newBuilder().mergeFrom(data, extensionRegistry)
                 .buildParsed();
      }
      public static ru.omnicomm.pegasus.messaging.data.responses.VehicleParametersOverIntervalsResponseParser.VehicleParametersOverIntervalsResponse.Row parseFrom(java.io.InputStream input)
          throws java.io.IOException {
        return newBuilder().mergeFrom(input).buildParsed();
      }
      public static ru.omnicomm.pegasus.messaging.data.responses.VehicleParametersOverIntervalsResponseParser.VehicleParametersOverIntervalsResponse.Row parseFrom(
          java.io.InputStream input,
          com.google.protobuf.ExtensionRegistryLite extensionRegistry)
          throws java.io.IOException {
        return newBuilder().mergeFrom(input, extensionRegistry)
                 .buildParsed();
      }
      public static ru.omnicomm.pegasus.messaging.data.responses.VehicleParametersOverIntervalsResponseParser.VehicleParametersOverIntervalsResponse.Row parseDelimitedFrom(java.io.InputStream input)
          throws java.io.IOException {
        Builder builder = newBuilder();
        if (builder.mergeDelimitedFrom(input)) {
          return builder.buildParsed();
        } else {
          return null;
        }
      }
      public static ru.omnicomm.pegasus.messaging.data.responses.VehicleParametersOverIntervalsResponseParser.VehicleParametersOverIntervalsResponse.Row parseDelimitedFrom(
          java.io.InputStream input,
          com.google.protobuf.ExtensionRegistryLite extensionRegistry)
          throws java.io.IOException {
        Builder builder = newBuilder();
        if (builder.mergeDelimitedFrom(input, extensionRegistry)) {
          return builder.buildParsed();
        } else {
          return null;
        }
      }
      public static ru.omnicomm.pegasus.messaging.data.responses.VehicleParametersOverIntervalsResponseParser.VehicleParametersOverIntervalsResponse.Row parseFrom(
          com.google.protobuf.CodedInputStream input)
          throws java.io.IOException {
        return newBuilder().mergeFrom(input).buildParsed();
      }
      public static ru.omnicomm.pegasus.messaging.data.responses.VehicleParametersOverIntervalsResponseParser.VehicleParametersOverIntervalsResponse.Row parseFrom(
          com.google.protobuf.CodedInputStream input,
          com.google.protobuf.ExtensionRegistryLite extensionRegistry)
          throws java.io.IOException {
        return newBuilder().mergeFrom(input, extensionRegistry)
                 .buildParsed();
      }
      
      public static Builder newBuilder() { return Builder.create(); }
      public Builder newBuilderForType() { return newBuilder(); }
      public static Builder newBuilder(ru.omnicomm.pegasus.messaging.data.responses.VehicleParametersOverIntervalsResponseParser.VehicleParametersOverIntervalsResponse.Row prototype) {
        return newBuilder().mergeFrom(prototype);
      }
      public Builder toBuilder() { return newBuilder(this); }
      
      public static final class Builder extends
          com.google.protobuf.GeneratedMessage.Builder<Builder> {
        private ru.omnicomm.pegasus.messaging.data.responses.VehicleParametersOverIntervalsResponseParser.VehicleParametersOverIntervalsResponse.Row result;
        
        // Construct using ru.omnicomm.pegasus.messaging.data.responses.VehicleParametersOverIntervalsResponseParser.VehicleParametersOverIntervalsResponse.Row.newBuilder()
        private Builder() {}
        
        private static Builder create() {
          Builder builder = new Builder();
          builder.result = new ru.omnicomm.pegasus.messaging.data.responses.VehicleParametersOverIntervalsResponseParser.VehicleParametersOverIntervalsResponse.Row();
          return builder;
        }
        
        protected ru.omnicomm.pegasus.messaging.data.responses.VehicleParametersOverIntervalsResponseParser.VehicleParametersOverIntervalsResponse.Row internalGetResult() {
          return result;
        }
        
        public Builder clear() {
          if (result == null) {
            throw new IllegalStateException(
              "Cannot call clear() after build().");
          }
          result = new ru.omnicomm.pegasus.messaging.data.responses.VehicleParametersOverIntervalsResponseParser.VehicleParametersOverIntervalsResponse.Row();
          return this;
        }
        
        public Builder clone() {
          return create().mergeFrom(result);
        }
        
        public com.google.protobuf.Descriptors.Descriptor
            getDescriptorForType() {
          return ru.omnicomm.pegasus.messaging.data.responses.VehicleParametersOverIntervalsResponseParser.VehicleParametersOverIntervalsResponse.Row.getDescriptor();
        }
        
        public ru.omnicomm.pegasus.messaging.data.responses.VehicleParametersOverIntervalsResponseParser.VehicleParametersOverIntervalsResponse.Row getDefaultInstanceForType() {
          return ru.omnicomm.pegasus.messaging.data.responses.VehicleParametersOverIntervalsResponseParser.VehicleParametersOverIntervalsResponse.Row.getDefaultInstance();
        }
        
        public boolean isInitialized() {
          return result.isInitialized();
        }
        public ru.omnicomm.pegasus.messaging.data.responses.VehicleParametersOverIntervalsResponseParser.VehicleParametersOverIntervalsResponse.Row build() {
          if (result != null && !isInitialized()) {
            throw newUninitializedMessageException(result);
          }
          return buildPartial();
        }
        
        private ru.omnicomm.pegasus.messaging.data.responses.VehicleParametersOverIntervalsResponseParser.VehicleParametersOverIntervalsResponse.Row buildParsed()
            throws com.google.protobuf.InvalidProtocolBufferException {
          if (!isInitialized()) {
            throw newUninitializedMessageException(
              result).asInvalidProtocolBufferException();
          }
          return buildPartial();
        }
        
        public ru.omnicomm.pegasus.messaging.data.responses.VehicleParametersOverIntervalsResponseParser.VehicleParametersOverIntervalsResponse.Row buildPartial() {
          if (result == null) {
            throw new IllegalStateException(
              "build() has already been called on this Builder.");
          }
          ru.omnicomm.pegasus.messaging.data.responses.VehicleParametersOverIntervalsResponseParser.VehicleParametersOverIntervalsResponse.Row returnMe = result;
          result = null;
          return returnMe;
        }
        
        public Builder mergeFrom(com.google.protobuf.Message other) {
          if (other instanceof ru.omnicomm.pegasus.messaging.data.responses.VehicleParametersOverIntervalsResponseParser.VehicleParametersOverIntervalsResponse.Row) {
            return mergeFrom((ru.omnicomm.pegasus.messaging.data.responses.VehicleParametersOverIntervalsResponseParser.VehicleParametersOverIntervalsResponse.Row)other);
          } else {
            super.mergeFrom(other);
            return this;
          }
        }
        
        public Builder mergeFrom(ru.omnicomm.pegasus.messaging.data.responses.VehicleParametersOverIntervalsResponseParser.VehicleParametersOverIntervalsResponse.Row other) {
          if (other == ru.omnicomm.pegasus.messaging.data.responses.VehicleParametersOverIntervalsResponseParser.VehicleParametersOverIntervalsResponse.Row.getDefaultInstance()) return this;
          if (other.hasIntervalType()) {
            setIntervalType(other.getIntervalType());
          }
          if (other.hasIntervalStart()) {
            setIntervalStart(other.getIntervalStart());
          }
          if (other.hasIntervalFinish()) {
            setIntervalFinish(other.getIntervalFinish());
          }
          if (other.hasIntervalDuration()) {
            setIntervalDuration(other.getIntervalDuration());
          }
          if (other.hasMileage()) {
            setMileage(other.getMileage());
          }
          if (other.hasAverageVelocity()) {
            setAverageVelocity(other.getAverageVelocity());
          }
          if (other.hasMaxVelocity()) {
            setMaxVelocity(other.getMaxVelocity());
          }
          if (other.hasStartPointCoordinates()) {
            setStartPointCoordinates(other.getStartPointCoordinates());
          }
          if (other.hasFinishPointCoordinates()) {
            setFinishPointCoordinates(other.getFinishPointCoordinates());
          }
          this.mergeUnknownFields(other.getUnknownFields());
          return this;
        }
        
        public Builder mergeFrom(
            com.google.protobuf.CodedInputStream input,
            com.google.protobuf.ExtensionRegistryLite extensionRegistry)
            throws java.io.IOException {
          com.google.protobuf.UnknownFieldSet.Builder unknownFields =
            com.google.protobuf.UnknownFieldSet.newBuilder(
              this.getUnknownFields());
          while (true) {
            int tag = input.readTag();
            switch (tag) {
              case 0:
                this.setUnknownFields(unknownFields.build());
                return this;
              default: {
                if (!parseUnknownField(input, unknownFields,
                                       extensionRegistry, tag)) {
                  this.setUnknownFields(unknownFields.build());
                  return this;
                }
                break;
              }
              case 818: {
                setIntervalType(input.readString());
                break;
              }
              case 825: {
                setIntervalStart(input.readDouble());
                break;
              }
              case 833: {
                setIntervalFinish(input.readDouble());
                break;
              }
              case 841: {
                setIntervalDuration(input.readDouble());
                break;
              }
              case 849: {
                setMileage(input.readDouble());
                break;
              }
              case 857: {
                setAverageVelocity(input.readDouble());
                break;
              }
              case 865: {
                setMaxVelocity(input.readDouble());
                break;
              }
              case 874: {
                setStartPointCoordinates(input.readString());
                break;
              }
              case 882: {
                setFinishPointCoordinates(input.readString());
                break;
              }
            }
          }
        }
        
        
        // required string intervalType = 102;
        public boolean hasIntervalType() {
          return result.hasIntervalType();
        }
        public java.lang.String getIntervalType() {
          return result.getIntervalType();
        }
        public Builder setIntervalType(java.lang.String value) {
          if (value == null) {
    throw new NullPointerException();
  }
  result.hasIntervalType = true;
          result.intervalType_ = value;
          return this;
        }
        public Builder clearIntervalType() {
          result.hasIntervalType = false;
          result.intervalType_ = getDefaultInstance().getIntervalType();
          return this;
        }
        
        // required double intervalStart = 103;
        public boolean hasIntervalStart() {
          return result.hasIntervalStart();
        }
        public double getIntervalStart() {
          return result.getIntervalStart();
        }
        public Builder setIntervalStart(double value) {
          result.hasIntervalStart = true;
          result.intervalStart_ = value;
          return this;
        }
        public Builder clearIntervalStart() {
          result.hasIntervalStart = false;
          result.intervalStart_ = 0D;
          return this;
        }
        
        // required double intervalFinish = 104;
        public boolean hasIntervalFinish() {
          return result.hasIntervalFinish();
        }
        public double getIntervalFinish() {
          return result.getIntervalFinish();
        }
        public Builder setIntervalFinish(double value) {
          result.hasIntervalFinish = true;
          result.intervalFinish_ = value;
          return this;
        }
        public Builder clearIntervalFinish() {
          result.hasIntervalFinish = false;
          result.intervalFinish_ = 0D;
          return this;
        }
        
        // required double intervalDuration = 105;
        public boolean hasIntervalDuration() {
          return result.hasIntervalDuration();
        }
        public double getIntervalDuration() {
          return result.getIntervalDuration();
        }
        public Builder setIntervalDuration(double value) {
          result.hasIntervalDuration = true;
          result.intervalDuration_ = value;
          return this;
        }
        public Builder clearIntervalDuration() {
          result.hasIntervalDuration = false;
          result.intervalDuration_ = 0D;
          return this;
        }
        
        // required double mileage = 106;
        public boolean hasMileage() {
          return result.hasMileage();
        }
        public double getMileage() {
          return result.getMileage();
        }
        public Builder setMileage(double value) {
          result.hasMileage = true;
          result.mileage_ = value;
          return this;
        }
        public Builder clearMileage() {
          result.hasMileage = false;
          result.mileage_ = 0D;
          return this;
        }
        
        // required double averageVelocity = 107;
        public boolean hasAverageVelocity() {
          return result.hasAverageVelocity();
        }
        public double getAverageVelocity() {
          return result.getAverageVelocity();
        }
        public Builder setAverageVelocity(double value) {
          result.hasAverageVelocity = true;
          result.averageVelocity_ = value;
          return this;
        }
        public Builder clearAverageVelocity() {
          result.hasAverageVelocity = false;
          result.averageVelocity_ = 0D;
          return this;
        }
        
        // required double maxVelocity = 108;
        public boolean hasMaxVelocity() {
          return result.hasMaxVelocity();
        }
        public double getMaxVelocity() {
          return result.getMaxVelocity();
        }
        public Builder setMaxVelocity(double value) {
          result.hasMaxVelocity = true;
          result.maxVelocity_ = value;
          return this;
        }
        public Builder clearMaxVelocity() {
          result.hasMaxVelocity = false;
          result.maxVelocity_ = 0D;
          return this;
        }
        
        // required string startPointCoordinates = 109;
        public boolean hasStartPointCoordinates() {
          return result.hasStartPointCoordinates();
        }
        public java.lang.String getStartPointCoordinates() {
          return result.getStartPointCoordinates();
        }
        public Builder setStartPointCoordinates(java.lang.String value) {
          if (value == null) {
    throw new NullPointerException();
  }
  result.hasStartPointCoordinates = true;
          result.startPointCoordinates_ = value;
          return this;
        }
        public Builder clearStartPointCoordinates() {
          result.hasStartPointCoordinates = false;
          result.startPointCoordinates_ = getDefaultInstance().getStartPointCoordinates();
          return this;
        }
        
        // required string finishPointCoordinates = 110;
        public boolean hasFinishPointCoordinates() {
          return result.hasFinishPointCoordinates();
        }
        public java.lang.String getFinishPointCoordinates() {
          return result.getFinishPointCoordinates();
        }
        public Builder setFinishPointCoordinates(java.lang.String value) {
          if (value == null) {
    throw new NullPointerException();
  }
  result.hasFinishPointCoordinates = true;
          result.finishPointCoordinates_ = value;
          return this;
        }
        public Builder clearFinishPointCoordinates() {
          result.hasFinishPointCoordinates = false;
          result.finishPointCoordinates_ = getDefaultInstance().getFinishPointCoordinates();
          return this;
        }
        
        // @@protoc_insertion_point(builder_scope:ru.omnicomm.pegasus.messaging.data.responses.VehicleParametersOverIntervalsResponse.Row)
      }
      
      static {
        defaultInstance = new Row(true);
        ru.omnicomm.pegasus.messaging.data.responses.VehicleParametersOverIntervalsResponseParser.internalForceInit();
        defaultInstance.initFields();
      }
      
      // @@protoc_insertion_point(class_scope:ru.omnicomm.pegasus.messaging.data.responses.VehicleParametersOverIntervalsResponse.Row)
    }
    
    // required int32 messageType = 2;
    public static final int MESSAGETYPE_FIELD_NUMBER = 2;
    private boolean hasMessageType;
    private int messageType_ = 0;
    public boolean hasMessageType() { return hasMessageType; }
    public int getMessageType() { return messageType_; }
    
    // optional string instanceId = 4;
    public static final int INSTANCEID_FIELD_NUMBER = 4;
    private boolean hasInstanceId;
    private java.lang.String instanceId_ = "";
    public boolean hasInstanceId() { return hasInstanceId; }
    public java.lang.String getInstanceId() { return instanceId_; }
    
    // repeated .ru.omnicomm.pegasus.messaging.data.responses.VehicleParametersOverIntervalsResponse.Row rows = 201;
    public static final int ROWS_FIELD_NUMBER = 201;
    private java.util.List<ru.omnicomm.pegasus.messaging.data.responses.VehicleParametersOverIntervalsResponseParser.VehicleParametersOverIntervalsResponse.Row> rows_ =
      java.util.Collections.emptyList();
    public java.util.List<ru.omnicomm.pegasus.messaging.data.responses.VehicleParametersOverIntervalsResponseParser.VehicleParametersOverIntervalsResponse.Row> getRowsList() {
      return rows_;
    }
    public int getRowsCount() { return rows_.size(); }
    public ru.omnicomm.pegasus.messaging.data.responses.VehicleParametersOverIntervalsResponseParser.VehicleParametersOverIntervalsResponse.Row getRows(int index) {
      return rows_.get(index);
    }
    
    // optional .ru.omnicomm.pegasus.messaging.data.responses.VehicleParametersOverIntervalsResponse.State blockState = 300;
    public static final int BLOCKSTATE_FIELD_NUMBER = 300;
    private boolean hasBlockState;
    private ru.omnicomm.pegasus.messaging.data.responses.VehicleParametersOverIntervalsResponseParser.VehicleParametersOverIntervalsResponse.State blockState_;
    public boolean hasBlockState() { return hasBlockState; }
    public ru.omnicomm.pegasus.messaging.data.responses.VehicleParametersOverIntervalsResponseParser.VehicleParametersOverIntervalsResponse.State getBlockState() { return blockState_; }
    
    // optional int32 blockNumber = 301;
    public static final int BLOCKNUMBER_FIELD_NUMBER = 301;
    private boolean hasBlockNumber;
    private int blockNumber_ = 0;
    public boolean hasBlockNumber() { return hasBlockNumber; }
    public int getBlockNumber() { return blockNumber_; }
    
    private void initFields() {
      blockState_ = ru.omnicomm.pegasus.messaging.data.responses.VehicleParametersOverIntervalsResponseParser.VehicleParametersOverIntervalsResponse.State.NORMAL;
    }
    public final boolean isInitialized() {
      if (!hasMessageType) return false;
      for (ru.omnicomm.pegasus.messaging.data.responses.VehicleParametersOverIntervalsResponseParser.VehicleParametersOverIntervalsResponse.Row element : getRowsList()) {
        if (!element.isInitialized()) return false;
      }
      return true;
    }
    
    public void writeTo(com.google.protobuf.CodedOutputStream output)
                        throws java.io.IOException {
      getSerializedSize();
      if (hasMessageType()) {
        output.writeInt32(2, getMessageType());
      }
      if (hasInstanceId()) {
        output.writeString(4, getInstanceId());
      }
      for (ru.omnicomm.pegasus.messaging.data.responses.VehicleParametersOverIntervalsResponseParser.VehicleParametersOverIntervalsResponse.Row element : getRowsList()) {
        output.writeMessage(201, element);
      }
      if (hasBlockState()) {
        output.writeEnum(300, getBlockState().getNumber());
      }
      if (hasBlockNumber()) {
        output.writeInt32(301, getBlockNumber());
      }
      getUnknownFields().writeTo(output);
    }
    
    private int memoizedSerializedSize = -1;
    public int getSerializedSize() {
      int size = memoizedSerializedSize;
      if (size != -1) return size;
    
      size = 0;
      if (hasMessageType()) {
        size += com.google.protobuf.CodedOutputStream
          .computeInt32Size(2, getMessageType());
      }
      if (hasInstanceId()) {
        size += com.google.protobuf.CodedOutputStream
          .computeStringSize(4, getInstanceId());
      }
      for (ru.omnicomm.pegasus.messaging.data.responses.VehicleParametersOverIntervalsResponseParser.VehicleParametersOverIntervalsResponse.Row element : getRowsList()) {
        size += com.google.protobuf.CodedOutputStream
          .computeMessageSize(201, element);
      }
      if (hasBlockState()) {
        size += com.google.protobuf.CodedOutputStream
          .computeEnumSize(300, getBlockState().getNumber());
      }
      if (hasBlockNumber()) {
        size += com.google.protobuf.CodedOutputStream
          .computeInt32Size(301, getBlockNumber());
      }
      size += getUnknownFields().getSerializedSize();
      memoizedSerializedSize = size;
      return size;
    }
    
    public static ru.omnicomm.pegasus.messaging.data.responses.VehicleParametersOverIntervalsResponseParser.VehicleParametersOverIntervalsResponse parseFrom(
        com.google.protobuf.ByteString data)
        throws com.google.protobuf.InvalidProtocolBufferException {
      return newBuilder().mergeFrom(data).buildParsed();
    }
    public static ru.omnicomm.pegasus.messaging.data.responses.VehicleParametersOverIntervalsResponseParser.VehicleParametersOverIntervalsResponse parseFrom(
        com.google.protobuf.ByteString data,
        com.google.protobuf.ExtensionRegistryLite extensionRegistry)
        throws com.google.protobuf.InvalidProtocolBufferException {
      return newBuilder().mergeFrom(data, extensionRegistry)
               .buildParsed();
    }
    public static ru.omnicomm.pegasus.messaging.data.responses.VehicleParametersOverIntervalsResponseParser.VehicleParametersOverIntervalsResponse parseFrom(byte[] data)
        throws com.google.protobuf.InvalidProtocolBufferException {
      return newBuilder().mergeFrom(data).buildParsed();
    }
    public static ru.omnicomm.pegasus.messaging.data.responses.VehicleParametersOverIntervalsResponseParser.VehicleParametersOverIntervalsResponse parseFrom(
        byte[] data,
        com.google.protobuf.ExtensionRegistryLite extensionRegistry)
        throws com.google.protobuf.InvalidProtocolBufferException {
      return newBuilder().mergeFrom(data, extensionRegistry)
               .buildParsed();
    }
    public static ru.omnicomm.pegasus.messaging.data.responses.VehicleParametersOverIntervalsResponseParser.VehicleParametersOverIntervalsResponse parseFrom(java.io.InputStream input)
        throws java.io.IOException {
      return newBuilder().mergeFrom(input).buildParsed();
    }
    public static ru.omnicomm.pegasus.messaging.data.responses.VehicleParametersOverIntervalsResponseParser.VehicleParametersOverIntervalsResponse parseFrom(
        java.io.InputStream input,
        com.google.protobuf.ExtensionRegistryLite extensionRegistry)
        throws java.io.IOException {
      return newBuilder().mergeFrom(input, extensionRegistry)
               .buildParsed();
    }
    public static ru.omnicomm.pegasus.messaging.data.responses.VehicleParametersOverIntervalsResponseParser.VehicleParametersOverIntervalsResponse parseDelimitedFrom(java.io.InputStream input)
        throws java.io.IOException {
      Builder builder = newBuilder();
      if (builder.mergeDelimitedFrom(input)) {
        return builder.buildParsed();
      } else {
        return null;
      }
    }
    public static ru.omnicomm.pegasus.messaging.data.responses.VehicleParametersOverIntervalsResponseParser.VehicleParametersOverIntervalsResponse parseDelimitedFrom(
        java.io.InputStream input,
        com.google.protobuf.ExtensionRegistryLite extensionRegistry)
        throws java.io.IOException {
      Builder builder = newBuilder();
      if (builder.mergeDelimitedFrom(input, extensionRegistry)) {
        return builder.buildParsed();
      } else {
        return null;
      }
    }
    public static ru.omnicomm.pegasus.messaging.data.responses.VehicleParametersOverIntervalsResponseParser.VehicleParametersOverIntervalsResponse parseFrom(
        com.google.protobuf.CodedInputStream input)
        throws java.io.IOException {
      return newBuilder().mergeFrom(input).buildParsed();
    }
    public static ru.omnicomm.pegasus.messaging.data.responses.VehicleParametersOverIntervalsResponseParser.VehicleParametersOverIntervalsResponse parseFrom(
        com.google.protobuf.CodedInputStream input,
        com.google.protobuf.ExtensionRegistryLite extensionRegistry)
        throws java.io.IOException {
      return newBuilder().mergeFrom(input, extensionRegistry)
               .buildParsed();
    }
    
    public static Builder newBuilder() { return Builder.create(); }
    public Builder newBuilderForType() { return newBuilder(); }
    public static Builder newBuilder(ru.omnicomm.pegasus.messaging.data.responses.VehicleParametersOverIntervalsResponseParser.VehicleParametersOverIntervalsResponse prototype) {
      return newBuilder().mergeFrom(prototype);
    }
    public Builder toBuilder() { return newBuilder(this); }
    
    public static final class Builder extends
        com.google.protobuf.GeneratedMessage.Builder<Builder> {
      private ru.omnicomm.pegasus.messaging.data.responses.VehicleParametersOverIntervalsResponseParser.VehicleParametersOverIntervalsResponse result;
      
      // Construct using ru.omnicomm.pegasus.messaging.data.responses.VehicleParametersOverIntervalsResponseParser.VehicleParametersOverIntervalsResponse.newBuilder()
      private Builder() {}
      
      private static Builder create() {
        Builder builder = new Builder();
        builder.result = new ru.omnicomm.pegasus.messaging.data.responses.VehicleParametersOverIntervalsResponseParser.VehicleParametersOverIntervalsResponse();
        return builder;
      }
      
      protected ru.omnicomm.pegasus.messaging.data.responses.VehicleParametersOverIntervalsResponseParser.VehicleParametersOverIntervalsResponse internalGetResult() {
        return result;
      }
      
      public Builder clear() {
        if (result == null) {
          throw new IllegalStateException(
            "Cannot call clear() after build().");
        }
        result = new ru.omnicomm.pegasus.messaging.data.responses.VehicleParametersOverIntervalsResponseParser.VehicleParametersOverIntervalsResponse();
        return this;
      }
      
      public Builder clone() {
        return create().mergeFrom(result);
      }
      
      public com.google.protobuf.Descriptors.Descriptor
          getDescriptorForType() {
        return ru.omnicomm.pegasus.messaging.data.responses.VehicleParametersOverIntervalsResponseParser.VehicleParametersOverIntervalsResponse.getDescriptor();
      }
      
      public ru.omnicomm.pegasus.messaging.data.responses.VehicleParametersOverIntervalsResponseParser.VehicleParametersOverIntervalsResponse getDefaultInstanceForType() {
        return ru.omnicomm.pegasus.messaging.data.responses.VehicleParametersOverIntervalsResponseParser.VehicleParametersOverIntervalsResponse.getDefaultInstance();
      }
      
      public boolean isInitialized() {
        return result.isInitialized();
      }
      public ru.omnicomm.pegasus.messaging.data.responses.VehicleParametersOverIntervalsResponseParser.VehicleParametersOverIntervalsResponse build() {
        if (result != null && !isInitialized()) {
          throw newUninitializedMessageException(result);
        }
        return buildPartial();
      }
      
      private ru.omnicomm.pegasus.messaging.data.responses.VehicleParametersOverIntervalsResponseParser.VehicleParametersOverIntervalsResponse buildParsed()
          throws com.google.protobuf.InvalidProtocolBufferException {
        if (!isInitialized()) {
          throw newUninitializedMessageException(
            result).asInvalidProtocolBufferException();
        }
        return buildPartial();
      }
      
      public ru.omnicomm.pegasus.messaging.data.responses.VehicleParametersOverIntervalsResponseParser.VehicleParametersOverIntervalsResponse buildPartial() {
        if (result == null) {
          throw new IllegalStateException(
            "build() has already been called on this Builder.");
        }
        if (result.rows_ != java.util.Collections.EMPTY_LIST) {
          result.rows_ =
            java.util.Collections.unmodifiableList(result.rows_);
        }
        ru.omnicomm.pegasus.messaging.data.responses.VehicleParametersOverIntervalsResponseParser.VehicleParametersOverIntervalsResponse returnMe = result;
        result = null;
        return returnMe;
      }
      
      public Builder mergeFrom(com.google.protobuf.Message other) {
        if (other instanceof ru.omnicomm.pegasus.messaging.data.responses.VehicleParametersOverIntervalsResponseParser.VehicleParametersOverIntervalsResponse) {
          return mergeFrom((ru.omnicomm.pegasus.messaging.data.responses.VehicleParametersOverIntervalsResponseParser.VehicleParametersOverIntervalsResponse)other);
        } else {
          super.mergeFrom(other);
          return this;
        }
      }
      
      public Builder mergeFrom(ru.omnicomm.pegasus.messaging.data.responses.VehicleParametersOverIntervalsResponseParser.VehicleParametersOverIntervalsResponse other) {
        if (other == ru.omnicomm.pegasus.messaging.data.responses.VehicleParametersOverIntervalsResponseParser.VehicleParametersOverIntervalsResponse.getDefaultInstance()) return this;
        if (other.hasMessageType()) {
          setMessageType(other.getMessageType());
        }
        if (other.hasInstanceId()) {
          setInstanceId(other.getInstanceId());
        }
        if (!other.rows_.isEmpty()) {
          if (result.rows_.isEmpty()) {
            result.rows_ = new java.util.ArrayList<ru.omnicomm.pegasus.messaging.data.responses.VehicleParametersOverIntervalsResponseParser.VehicleParametersOverIntervalsResponse.Row>();
          }
          result.rows_.addAll(other.rows_);
        }
        if (other.hasBlockState()) {
          setBlockState(other.getBlockState());
        }
        if (other.hasBlockNumber()) {
          setBlockNumber(other.getBlockNumber());
        }
        this.mergeUnknownFields(other.getUnknownFields());
        return this;
      }
      
      public Builder mergeFrom(
          com.google.protobuf.CodedInputStream input,
          com.google.protobuf.ExtensionRegistryLite extensionRegistry)
          throws java.io.IOException {
        com.google.protobuf.UnknownFieldSet.Builder unknownFields =
          com.google.protobuf.UnknownFieldSet.newBuilder(
            this.getUnknownFields());
        while (true) {
          int tag = input.readTag();
          switch (tag) {
            case 0:
              this.setUnknownFields(unknownFields.build());
              return this;
            default: {
              if (!parseUnknownField(input, unknownFields,
                                     extensionRegistry, tag)) {
                this.setUnknownFields(unknownFields.build());
                return this;
              }
              break;
            }
            case 16: {
              setMessageType(input.readInt32());
              break;
            }
            case 34: {
              setInstanceId(input.readString());
              break;
            }
            case 1610: {
              ru.omnicomm.pegasus.messaging.data.responses.VehicleParametersOverIntervalsResponseParser.VehicleParametersOverIntervalsResponse.Row.Builder subBuilder = ru.omnicomm.pegasus.messaging.data.responses.VehicleParametersOverIntervalsResponseParser.VehicleParametersOverIntervalsResponse.Row.newBuilder();
              input.readMessage(subBuilder, extensionRegistry);
              addRows(subBuilder.buildPartial());
              break;
            }
            case 2400: {
              int rawValue = input.readEnum();
              ru.omnicomm.pegasus.messaging.data.responses.VehicleParametersOverIntervalsResponseParser.VehicleParametersOverIntervalsResponse.State value = ru.omnicomm.pegasus.messaging.data.responses.VehicleParametersOverIntervalsResponseParser.VehicleParametersOverIntervalsResponse.State.valueOf(rawValue);
              if (value == null) {
                unknownFields.mergeVarintField(300, rawValue);
              } else {
                setBlockState(value);
              }
              break;
            }
            case 2408: {
              setBlockNumber(input.readInt32());
              break;
            }
          }
        }
      }
      
      
      // required int32 messageType = 2;
      public boolean hasMessageType() {
        return result.hasMessageType();
      }
      public int getMessageType() {
        return result.getMessageType();
      }
      public Builder setMessageType(int value) {
        result.hasMessageType = true;
        result.messageType_ = value;
        return this;
      }
      public Builder clearMessageType() {
        result.hasMessageType = false;
        result.messageType_ = 0;
        return this;
      }
      
      // optional string instanceId = 4;
      public boolean hasInstanceId() {
        return result.hasInstanceId();
      }
      public java.lang.String getInstanceId() {
        return result.getInstanceId();
      }
      public Builder setInstanceId(java.lang.String value) {
        if (value == null) {
    throw new NullPointerException();
  }
  result.hasInstanceId = true;
        result.instanceId_ = value;
        return this;
      }
      public Builder clearInstanceId() {
        result.hasInstanceId = false;
        result.instanceId_ = getDefaultInstance().getInstanceId();
        return this;
      }
      
      // repeated .ru.omnicomm.pegasus.messaging.data.responses.VehicleParametersOverIntervalsResponse.Row rows = 201;
      public java.util.List<ru.omnicomm.pegasus.messaging.data.responses.VehicleParametersOverIntervalsResponseParser.VehicleParametersOverIntervalsResponse.Row> getRowsList() {
        return java.util.Collections.unmodifiableList(result.rows_);
      }
      public int getRowsCount() {
        return result.getRowsCount();
      }
      public ru.omnicomm.pegasus.messaging.data.responses.VehicleParametersOverIntervalsResponseParser.VehicleParametersOverIntervalsResponse.Row getRows(int index) {
        return result.getRows(index);
      }
      public Builder setRows(int index, ru.omnicomm.pegasus.messaging.data.responses.VehicleParametersOverIntervalsResponseParser.VehicleParametersOverIntervalsResponse.Row value) {
        if (value == null) {
          throw new NullPointerException();
        }
        result.rows_.set(index, value);
        return this;
      }
      public Builder setRows(int index, ru.omnicomm.pegasus.messaging.data.responses.VehicleParametersOverIntervalsResponseParser.VehicleParametersOverIntervalsResponse.Row.Builder builderForValue) {
        result.rows_.set(index, builderForValue.build());
        return this;
      }
      public Builder addRows(ru.omnicomm.pegasus.messaging.data.responses.VehicleParametersOverIntervalsResponseParser.VehicleParametersOverIntervalsResponse.Row value) {
        if (value == null) {
          throw new NullPointerException();
        }
        if (result.rows_.isEmpty()) {
          result.rows_ = new java.util.ArrayList<ru.omnicomm.pegasus.messaging.data.responses.VehicleParametersOverIntervalsResponseParser.VehicleParametersOverIntervalsResponse.Row>();
        }
        result.rows_.add(value);
        return this;
      }
      public Builder addRows(ru.omnicomm.pegasus.messaging.data.responses.VehicleParametersOverIntervalsResponseParser.VehicleParametersOverIntervalsResponse.Row.Builder builderForValue) {
        if (result.rows_.isEmpty()) {
          result.rows_ = new java.util.ArrayList<ru.omnicomm.pegasus.messaging.data.responses.VehicleParametersOverIntervalsResponseParser.VehicleParametersOverIntervalsResponse.Row>();
        }
        result.rows_.add(builderForValue.build());
        return this;
      }
      public Builder addAllRows(
          java.lang.Iterable<? extends ru.omnicomm.pegasus.messaging.data.responses.VehicleParametersOverIntervalsResponseParser.VehicleParametersOverIntervalsResponse.Row> values) {
        if (result.rows_.isEmpty()) {
          result.rows_ = new java.util.ArrayList<ru.omnicomm.pegasus.messaging.data.responses.VehicleParametersOverIntervalsResponseParser.VehicleParametersOverIntervalsResponse.Row>();
        }
        super.addAll(values, result.rows_);
        return this;
      }
      public Builder clearRows() {
        result.rows_ = java.util.Collections.emptyList();
        return this;
      }
      
      // optional .ru.omnicomm.pegasus.messaging.data.responses.VehicleParametersOverIntervalsResponse.State blockState = 300;
      public boolean hasBlockState() {
        return result.hasBlockState();
      }
      public ru.omnicomm.pegasus.messaging.data.responses.VehicleParametersOverIntervalsResponseParser.VehicleParametersOverIntervalsResponse.State getBlockState() {
        return result.getBlockState();
      }
      public Builder setBlockState(ru.omnicomm.pegasus.messaging.data.responses.VehicleParametersOverIntervalsResponseParser.VehicleParametersOverIntervalsResponse.State value) {
        if (value == null) {
          throw new NullPointerException();
        }
        result.hasBlockState = true;
        result.blockState_ = value;
        return this;
      }
      public Builder clearBlockState() {
        result.hasBlockState = false;
        result.blockState_ = ru.omnicomm.pegasus.messaging.data.responses.VehicleParametersOverIntervalsResponseParser.VehicleParametersOverIntervalsResponse.State.NORMAL;
        return this;
      }
      
      // optional int32 blockNumber = 301;
      public boolean hasBlockNumber() {
        return result.hasBlockNumber();
      }
      public int getBlockNumber() {
        return result.getBlockNumber();
      }
      public Builder setBlockNumber(int value) {
        result.hasBlockNumber = true;
        result.blockNumber_ = value;
        return this;
      }
      public Builder clearBlockNumber() {
        result.hasBlockNumber = false;
        result.blockNumber_ = 0;
        return this;
      }
      
      // @@protoc_insertion_point(builder_scope:ru.omnicomm.pegasus.messaging.data.responses.VehicleParametersOverIntervalsResponse)
    }
    
    static {
      defaultInstance = new VehicleParametersOverIntervalsResponse(true);
      ru.omnicomm.pegasus.messaging.data.responses.VehicleParametersOverIntervalsResponseParser.internalForceInit();
      defaultInstance.initFields();
    }
    
    // @@protoc_insertion_point(class_scope:ru.omnicomm.pegasus.messaging.data.responses.VehicleParametersOverIntervalsResponse)
  }
  
  private static com.google.protobuf.Descriptors.Descriptor
    internal_static_ru_omnicomm_pegasus_messaging_data_responses_VehicleParametersOverIntervalsResponse_descriptor;
  private static
    com.google.protobuf.GeneratedMessage.FieldAccessorTable
      internal_static_ru_omnicomm_pegasus_messaging_data_responses_VehicleParametersOverIntervalsResponse_fieldAccessorTable;
  private static com.google.protobuf.Descriptors.Descriptor
    internal_static_ru_omnicomm_pegasus_messaging_data_responses_VehicleParametersOverIntervalsResponse_Row_descriptor;
  private static
    com.google.protobuf.GeneratedMessage.FieldAccessorTable
      internal_static_ru_omnicomm_pegasus_messaging_data_responses_VehicleParametersOverIntervalsResponse_Row_fieldAccessorTable;
  
  public static com.google.protobuf.Descriptors.FileDescriptor
      getDescriptor() {
    return descriptor;
  }
  private static com.google.protobuf.Descriptors.FileDescriptor
      descriptor;
  static {
    java.lang.String[] descriptorData = {
      "\n,VehicleParametersOverIntervalsResponse" +
      ".proto\022,ru.omnicomm.pegasus.messaging.da" +
      "ta.responses\"\324\004\n&VehicleParametersOverIn" +
      "tervalsResponse\022\023\n\013messageType\030\002 \002(\005\022\022\n\n" +
      "instanceId\030\004 \001(\t\022g\n\004rows\030\311\001 \003(\0132X.ru.omn" +
      "icomm.pegasus.messaging.data.responses.V" +
      "ehicleParametersOverIntervalsResponse.Ro" +
      "w\022o\n\nblockState\030\254\002 \001(\0162Z.ru.omnicomm.peg" +
      "asus.messaging.data.responses.VehiclePar" +
      "ametersOverIntervalsResponse.State\022\024\n\013bl",
      "ockNumber\030\255\002 \001(\005\032\342\001\n\003Row\022\024\n\014intervalType" +
      "\030f \002(\t\022\025\n\rintervalStart\030g \002(\001\022\026\n\016interva" +
      "lFinish\030h \002(\001\022\030\n\020intervalDuration\030i \002(\001\022" +
      "\017\n\007mileage\030j \002(\001\022\027\n\017averageVelocity\030k \002(" +
      "\001\022\023\n\013maxVelocity\030l \002(\001\022\035\n\025startPointCoor" +
      "dinates\030m \002(\t\022\036\n\026finishPointCoordinates\030" +
      "n \002(\t\",\n\005State\022\n\n\006NORMAL\020\000\022\010\n\004LAST\020\001\022\r\n\t" +
      "DEFECTIVE\020\002B\\\n,ru.omnicomm.pegasus.messa" +
      "ging.data.responsesB,VehicleParametersOv" +
      "erIntervalsResponseParser"
    };
    com.google.protobuf.Descriptors.FileDescriptor.InternalDescriptorAssigner assigner =
      new com.google.protobuf.Descriptors.FileDescriptor.InternalDescriptorAssigner() {
        public com.google.protobuf.ExtensionRegistry assignDescriptors(
            com.google.protobuf.Descriptors.FileDescriptor root) {
          descriptor = root;
          internal_static_ru_omnicomm_pegasus_messaging_data_responses_VehicleParametersOverIntervalsResponse_descriptor =
            getDescriptor().getMessageTypes().get(0);
          internal_static_ru_omnicomm_pegasus_messaging_data_responses_VehicleParametersOverIntervalsResponse_fieldAccessorTable = new
            com.google.protobuf.GeneratedMessage.FieldAccessorTable(
              internal_static_ru_omnicomm_pegasus_messaging_data_responses_VehicleParametersOverIntervalsResponse_descriptor,
              new java.lang.String[] { "MessageType", "InstanceId", "Rows", "BlockState", "BlockNumber", },
              ru.omnicomm.pegasus.messaging.data.responses.VehicleParametersOverIntervalsResponseParser.VehicleParametersOverIntervalsResponse.class,
              ru.omnicomm.pegasus.messaging.data.responses.VehicleParametersOverIntervalsResponseParser.VehicleParametersOverIntervalsResponse.Builder.class);
          internal_static_ru_omnicomm_pegasus_messaging_data_responses_VehicleParametersOverIntervalsResponse_Row_descriptor =
            internal_static_ru_omnicomm_pegasus_messaging_data_responses_VehicleParametersOverIntervalsResponse_descriptor.getNestedTypes().get(0);
          internal_static_ru_omnicomm_pegasus_messaging_data_responses_VehicleParametersOverIntervalsResponse_Row_fieldAccessorTable = new
            com.google.protobuf.GeneratedMessage.FieldAccessorTable(
              internal_static_ru_omnicomm_pegasus_messaging_data_responses_VehicleParametersOverIntervalsResponse_Row_descriptor,
              new java.lang.String[] { "IntervalType", "IntervalStart", "IntervalFinish", "IntervalDuration", "Mileage", "AverageVelocity", "MaxVelocity", "StartPointCoordinates", "FinishPointCoordinates", },
              ru.omnicomm.pegasus.messaging.data.responses.VehicleParametersOverIntervalsResponseParser.VehicleParametersOverIntervalsResponse.Row.class,
              ru.omnicomm.pegasus.messaging.data.responses.VehicleParametersOverIntervalsResponseParser.VehicleParametersOverIntervalsResponse.Row.Builder.class);
          return null;
        }
      };
    com.google.protobuf.Descriptors.FileDescriptor
      .internalBuildGeneratedFileFrom(descriptorData,
        new com.google.protobuf.Descriptors.FileDescriptor[] {
        }, assigner);
  }
  
  public static void internalForceInit() {}
  
  // @@protoc_insertion_point(outer_class_scope)
}
